source: trunk/softs/tests_ccvcache_v4/test_icache_inval_pa/run @ 232

Last change on this file since 232 was 232, checked in by alain, 12 years ago

Introducing the elementary tests for a TSAR mono-cluster
mono-processor platform with MMU using the vci_cc_vcache_v4
such as the "tsarv4_mono_mmu".
(assemby level tests written by Manuel Bouyer)

  • Property svn:executable set to *
File size: 806 bytes
Line 
1#!/bin/sh
2
3. ../common/common.sh
4
5check_output()
6{
7        egrep "^mmu started before DMA 0x0000DEAD$" run.out > /dev/null
8        if [ $? -ne 0 ]; then
9                echo "couldn't find string 1 in output - mtty not working ?" >> run.out
10                return 1
11        fi
12        egrep "^mmu started after DMA 0x0000BEEF$" run.out > /dev/null
13        if [ $? -ne 0 ]; then
14                echo "couldn't find string 2 in output - mtty not working ?" >> run.out
15                return 1
16        fi
17        egrep "^mmu started after FLUSH 0x0000BEEF$" run.out > /dev/null
18        if [ $? -ne 0 ]; then
19                echo "couldn't find string 3 in output - mtty not working ?" >> run.out
20                return 1
21        fi
22        return 0;
23}
24
25make --quiet || exit 1
26${SIMUL} > run.out 2>&1 
27if [ $? -eq 0 ]; then
28        if check_output; then
29                echo "test passsed";
30                make --quiet clean
31                exit 0;
32        fi
33        echo "test FAILED"
34        exit 1
35fi
36echo "test FAILED"
37exit 1
38
Note: See TracBrowser for help on using the repository browser.